This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 136106 - In case of unclean shutdown, during fsck during bootup, progress bar is not shown
In case of unclean shutdown, during fsck during bootup, progress bar is not s...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: rhgb (Show other bugs)
3
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-17 18:26 EDT by Uttiya Chowdhury
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 10:55:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Uttiya Chowdhury 2004-10-17 18:26:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.3)
Gecko/20040929

Description of problem:
In case of unclean shutdown, during fsck during bootup, normally a
progress bar is shown with rotating /, -, | and \. This is not
happening. Reproducibility 100%.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Shutdown uncleanly (I have ext3 only)
2. During reboot, when it asks whether file systems should be checked,
select y.
3. You will note that filesystem check will start, but no progress
indication will be shown.
    

Actual Results:  No progress indication.

Expected Results:  Progress indication bar with increasing === bar and
rotating \, -, | and / with % done indication.

Additional info:
Comment 1 Bill Nottingham 2004-10-17 23:17:13 EDT
Are you using rhgb?
Comment 2 zingale 2005-05-04 14:35:06 EDT
I have the same problem.  I am using rhgb, and when it gets to the point where
it recognizes that the machine was shutdown improperly, it switches to text mode
and asks whether to do a fsck.  When you answer yes, it just sits there -- no
output is produced (note, you are still in text mode).  Eventually it finishes
and goes along with the rest of the boot, switching to graphical mode.  Some
status is really needed here, otherwise, you think that the machine is hung.  An
fsck can take quite a while.
Comment 3 Thomas Woerner 2005-11-10 12:26:18 EST
Seems to be a problem with rhgb.
Assigning to rhgb.
Comment 4 John Thacker 2006-10-30 10:55:31 EST
Closing per lack of response to previous request for information.  This bug was
originally filed against a much earlier version of Fedora Core, and significant
changes have taken place since the last version for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.